function [LLF,llk,penalty,K0Q_cP, K1Q_cP] =...
    get_lik5(parameters,yields, W, mats, dt,L,K1Q_X,rinfQ,sigma_e,innovations,NFACT)

    sig_p = veclt(parameters);
    Sigma_cP = sig_p*sig_p';
  
  
%     [llk,penalty,AcP, BcP, AX, BX, K0Q_cP, K1Q_cP, rho0_cP, rho1_cP, cP,llkQ] = ....
%         Q_likelihood(yields, W, diag(K1Q_X-1), rinfQ, Sigma_cP, mats, dt,L,sigma_e);
    
    [llk, penalty,AcP, BcP, AX, BX, sigma_e, K0Q_cP, K1Q_cP, rho0_cP, rho1_cP, cP, llkP, llkQ] = ...
    jszLLK_L_macro_5(yields, W, diag(K1Q_X-1), rinfQ, Sigma_cP, mats, dt,innovations,L,sigma_e,NFACT);
    
    
 
    LLF = -sum(llk);
